%define name         w32codec-all
%define version      20071007
%define release      10

Name:           %name
Summary:        Win32 and other binary Codecs
Summary(de):    Windows 32Bit und andere binäre Codecs
License:        unknown
Group:          System/Libraries
URL:            http://mplayerhq.hu/MPlayer/releases/codecs/
Version:        %{version}
Release:        11.8

Source0:        all-20071007.tar.bz2
Source1:        VoxWare_MSA_CoDec.zip

BuildRoot:      /var/tmp/%{name}-%{version}-%{release}
Prefix:         %{_prefix}
Obsoletes:      w32codec
Obsoletes:      win32-codecs
Obsoletes:      win32codecs
Provides:       w32codec
Provides:       win32-codecs
Provides:       win32codecs

%if 0%{?suse_version} >= 1030
BuildRequires:	unzip
%endif
%description
Win32 DLLs for decompression of AVI- and also Quicktime-movies.
Contains the dlls from the "all" package.

%description -l de
Windows32 DLLs zum Abspielen von AVI- und Quicktime-Filmen.
Enthält die Dateien aus dem "all" Paket.

%prep

#%setup -n win32codecs-%{version} -q -a 1 -a 2
#%setup -n all-%{version} -q -a 1
%setup -c -n all-%{version} -T -a 0 -a 1

%build

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_libdir}/win32
cp all-%{version}/* %{buildroot}%{_libdir}/win32/
cp -f *.vwp  %{buildroot}%{_libdir}/win32/
cp -f *.acm  %{buildroot}%{_libdir}/win32/
cp -f *.dll  %{buildroot}%{_libdir}/win32/
cp -f *.inf  %{buildroot}%{_libdir}/win32/
cp -f *.ax  %{buildroot}%{_libdir}/win32/
cd %{buildroot}%{_libdir}
%{__ln_s} win32 codecs

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(644, root, root)
%{_libdir}/win32/*
%{_libdir}/codecs
%defattr(755, root, root)
%dir %{_libdir}/win32/

%changelog
* Sun Sep 30 2007 Carsten Schoene <cs@linux-administrator.com>
- import for SLE_10 build

